Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::TemplateDescriptor`

## Overview

    struct TemplateDescriptor

### Used By

TemplateDescriptorDict

### Data Member Index

descriptor

  The template.

parameterDefaults

  The parameters default values.

parameters

  The parameters required to instantiate the template.

## `descriptor`

    CommunicatorDescriptor descriptor;

The template.

## `parameterDefaults`

    StringStringDict parameterDefaults;

The parameters default values.

## `parameters`

    [ "java:type:java.util.LinkedList" ]
    ::Ice::StringSeq parameters;

The parameters required to instantiate the template.

<<< Previous | Home | Next >>>
`IceGrid::SessionManager` | Up | `Glacier2`